Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumStatePaymentOption

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumStatePaymentOption

Enclosing class:
  TdApi

public static final class TdApi.PremiumStatePaymentOption extends TdApi.Object
Describes an option for buying or upgrading Telegram Premium for self.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isCurrent`
True, if this is the currently used Telegram Premium subscription option.
`boolean`
`isUpgrade`
True, if the payment option can be used to upgrade the existing Telegram Premium subscription.
`String`
`lastTransactionId`
Identifier of the last in-store transaction for the currently used option.
`TdApi.PremiumPaymentOption`
`paymentOption`
Information about the payment option.

## Constructor Summary

Constructors
Constructor
Description
`PremiumStatePaymentOption()`
Describes an option for buying or upgrading Telegram Premium for self.
`PremiumStatePaymentOption(TdApi.PremiumPaymentOption paymentOption, boolean isCurrent, boolean isUpgrade, String lastTransactionId)`
Describes an option for buying or upgrading Telegram Premium for self.
`PremiumStatePaymentOption(DataInput input)`
Describes an option for buying or upgrading Telegram Premium for self.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### paymentOption

public TdApi.PremiumPaymentOption paymentOption
Information about the payment option.

### isCurrent

public boolean isCurrent
True, if this is the currently used Telegram Premium subscription option.

### isUpgrade

public boolean isUpgrade
True, if the payment option can be used to upgrade the existing Telegram Premium subscription.

### lastTransactionId

public String lastTransactionId
Identifier of the last in-store transaction for the currently used option.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PremiumStatePaymentOption

public PremiumStatePaymentOption()
Describes an option for buying or upgrading Telegram Premium for self.

### PremiumStatePaymentOption

public PremiumStatePaymentOption(TdApi.PremiumPaymentOption paymentOption, boolean isCurrent, boolean isUpgrade, String lastTransactionId)
Describes an option for buying or upgrading Telegram Premium for self.

Parameters:
  `paymentOption` - Information about the payment option.
  `isCurrent` - True, if this is the currently used Telegram Premium subscription option.
  `isUpgrade` - True, if the payment option can be used to upgrade the existing Telegram Premium subscription.
  `lastTransactionId` - Identifier of the last in-store transaction for the currently used option.

### PremiumStatePaymentOption

public PremiumStatePaymentOption(DataInput input) throws IOException
Describes an option for buying or upgrading Telegram Premium for self.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`